
QGIS Application - Bug report #3633

Can't classifiy a joined column with the same name than a column of the layer

2011-03-17 05:43 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13692

Description

When you join a layer with a column 'foo' to a table containing a column 'FOO', a style classification (graduated or categorized) on 'FOO'

will use the content of 'foo'.

Some others GIS tools deal with this situation by adding the suffix .j1 to the joined columns (FOO.j1, FOO.j2).

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-03-28 06:20 AM - Jean-Roc Morreale

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No

the actual version has the right behaviour (tablename_column), ticket closed
